package com.hs.admin.service;

import com.hs.admin.common.base.PageRequest;
import com.hs.admin.common.base.PageResult;
import com.hs.admin.model.SysUser;
import com.hs.admin.model.reqmodel.AddUserReq;
import com.hs.admin.model.reqmodel.UpdateUserReq;
import com.hs.admin.model.reqmodel.UserReq;
import com.hs.admin.model.respmodel.SysUserList;

import java.util.List;

public interface UserService {
    SysUser findByLoginName(String loginName);

    boolean addUser(Long userId, AddUserReq user);

    boolean deleteUser(UserReq.DeleteUserReq user);

    boolean updateUser(UpdateUserReq user);

    List<SysUserList> getAll(UserReq.GetUserReq user);

    PageResult getAllByPage(UserReq.GetUserReq user);

    SysUserList info(Integer userId);
}
